#include "Lexesis/backend.h"
#include "config.h"

namespace lxs {
    Backend::Backend()
    {}

    Backend::~Backend()
    {}

    bool Backend::canProcessLang(std::string /*lang*/) {
        return false;
    }

    void Backend::doTemplate(std::ostream& out, std::string templateName, templ::TemplateContext context) {
        templ::Template tpl(findTemplate(templateName));
        tpl.render(out, context);
    }

    std::string Backend::findTemplate(std::string templateName) {
        return DATADIR "templates/" + templateName;
    }
}
